summaryrefslogtreecommitdiff
path: root/scripts/emcc-tests.sh
diff options
context:
space:
mode:
authorSam Clegg <sbc@chromium.org>2020-04-21 13:49:45 -0400
committerGitHub <noreply@github.com>2020-04-21 10:49:45 -0700
commit8e017e9fe58687251275d6fe8a1a0b23813c3b1e (patch)
tree17f1a070c368096242c98dd4aba5619b1470ded7 /scripts/emcc-tests.sh
parent483d759230f4693abfca3a74a97b1c1db6d2a0d6 (diff)
downloadbinaryen-8e017e9fe58687251275d6fe8a1a0b23813c3b1e.tar.gz
binaryen-8e017e9fe58687251275d6fe8a1a0b23813c3b1e.tar.bz2
binaryen-8e017e9fe58687251275d6fe8a1a0b23813c3b1e.zip
Convert CI from travis + appveyor to github actions (#2646)
The intention is to move away from travis and appveyor which have become very slow. See: #2356
Diffstat (limited to 'scripts/emcc-tests.sh')
-rwxr-xr-xscripts/emcc-tests.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/emcc-tests.sh b/scripts/emcc-tests.sh
new file mode 100755
index 000000000..bea5760e6
--- /dev/null
+++ b/scripts/emcc-tests.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+set -e
+
+echo "emcc-tests: build:wasm"
+emcmake cmake -DCMAKE_BUILD_TYPE=Release
+emmake make -j4 binaryen_wasm
+echo "emcc-tests: test:wasm"
+python3 -m scripts.test.binaryenjs wasm
+echo "emcc-tests: done:wasm"
+
+echo "emcc-tests: build:js"
+emmake make -j4 binaryen_js
+echo "emcc-tests: test:js"
+python3 -m scripts.test.binaryenjs js
+echo "emcc-tests: done:js"